﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.Objects;
using System.Data.Common;

namespace na_founders
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            using (playgroundEntities ctx = new playgroundEntities("name=playgroundEntities"))
            {
                string esql = @"SELECT 
(SELECT value a FROM c1.founders as a
 order by a.FOUNDER_ID) as data_old,
(SELECT value b FROM c1.na.na_founders as b
 order by b.FOUNDER_ID) as data_new
FROM playgroundEntities.mainSet as c1
WHERE c1.main_id = @main_id";

                ObjectParameter opMain = new ObjectParameter("main_id", 1);
                ObjectParameter[] vParams = new ObjectParameter[1] { opMain };
                ObjectQuery<DbDataRecord> oQuery = ctx.CreateQuery<DbDataRecord>(esql, vParams);

                //here, take a look at this:
                string native = oQuery.ToTraceString();

                ObjectResult<DbDataRecord> vDataRecords = oQuery.Execute(MergeOption.AppendOnly);
                DbDataRecord vDataRecord = vDataRecords.First();

                // both of these should be ordered by FOUNDER_ID
                var vOld = DataBinder.Eval(vDataRecord, "data_old");
                var vNew = DataBinder.Eval(vDataRecord, "data_new");

                gv1.DataSource = vOld;
                gv1.DataBind();
                gv2.DataSource = vNew;
                gv2.DataBind();
            }

        }
    }
}
