CREATE DATABASE `playground` /*!40100 DEFAULT CHARACTER SET utf8 */;

DROP TABLE IF EXISTS `playground`.`main`;
CREATE TABLE  `playground`.`main` (
  `MAIN_ID` int(11) NOT NULL AUTO_INCREMENT,
  `MAIN_NAME` varchar(45) NOT NULL,
  PRIMARY KEY (`MAIN_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `playground`.`na`;
CREATE TABLE  `playground`.`na` (
  `MAIN_ID` int(11) NOT NULL AUTO_INCREMENT,
  `MAIN_NAME` varchar(45) NOT NULL,
  PRIMARY KEY (`MAIN_ID`),
  CONSTRAINT `FK_MAIN_NA` FOREIGN KEY (`MAIN_ID`) REFERENCES `main` (`MAIN_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `playground`.`founders`;
CREATE TABLE  `playground`.`founders` (
  `FOUNDER_ID` int(11) NOT NULL AUTO_INCREMENT,
  `FOUNDER_NAME` varchar(45) NOT NULL,
  `MAIN_ID` int(11) NOT NULL,
  PRIMARY KEY (`FOUNDER_ID`),
  KEY `FK_MAIN_FOUNDERS` (`MAIN_ID`),
  CONSTRAINT `FK_MAIN_FOUNDERS` FOREIGN KEY (`MAIN_ID`) REFERENCES `main` (`MAIN_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `playground`.`na_founders`;
CREATE TABLE  `playground`.`na_founders` (
  `FOUNDER_ID` int(11) NOT NULL AUTO_INCREMENT,
  `FOUNDER_NAME` varchar(45) NOT NULL,
  `MAIN_ID` int(11) NOT NULL,
  PRIMARY KEY (`FOUNDER_ID`),
  KEY `FK_NA_MAIN_FOUNDERS` (`MAIN_ID`),
  CONSTRAINT `FK_NA_MAIN_FOUNDERS` FOREIGN KEY (`MAIN_ID`) REFERENCES `na` (`MAIN_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
